Bug 827113

Summary: Many languages fail pofilter test for 'tabs'
Product: Red Hat Enterprise Linux 7 Reporter: Sharath Dwaral <fsharath>
Component: subscription-managerAssignee: candlepin-bugs
Status: CLOSED DEFERRED QA Contact: Entitlement Bugs <entitlement-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0CC: aalam, ankit, eng-l10n-bugs, jgalipea, jsefler, qe-i18n-bugs
Target Milestone: betaKeywords: i18n, Translation, Triaged
Target Release: 7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-19 14:40:31 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 863175    

Description Sharath Dwaral 2012-05-31 12:09:39 EDT
Description of problem:
The gnome tabs were not properly translated for many languages whose list is provided in additional information.  See the sample output, the same changes are to be performed on the languages listed below.


Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/as/LC_MESSAGES/rhsm.mo -o /usr/share/locale/as/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/as/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-11 12:32-0400\n"
"Last-Translator: ngoswami <ngoswami@fedoraproject.org>\n"
"Language-Team: Assamese <kde-i18n-doc@kde.org>\n"
"Language: as\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) tabs: Different tabs
msgid "Account Number:       \t%-25s"
msgstr "একাওন্ট নম্বৰ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Active:               \t%-25s"
msgstr "সক্ৰিয়: %-25s"

# (pofilter) tabs: Different tabs
msgid "Arch:                 \t%-25s"
msgstr "স্থাপত্য: %-25s"

# (pofilter) tabs: Different tabs
msgid "Begins:               \t%-25s"
msgstr "আৰম্ভ হয়: %-25s"

# (pofilter) tabs: Different tabs
msgid "Contract Number:      \t%-25s"
msgstr "চুক্তি নম্বৰ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Description:          \t%-25s"
msgstr "বিৱৰণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Enabled:              \t%-25s"
msgstr "সামৰ্থবান কৰা আছে: %-25s"

# (pofilter) tabs: Different tabs
msgid "Expires:              \t%-25s"
msgstr "অৱসান ঘটিব: %-25s"

# (pofilter) tabs: Different tabs
msgid "Machine Type:         \t%-25s"
msgstr "মেচিনৰ ধৰণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Multi-Entitlement:    \t%-25s"
msgstr "বহু-অনুজ্ঞা: %-25s"

# (pofilter) tabs: Different tabs
msgid "Name:                 \t%-25s"
msgstr "নাম: %-25s"

# (pofilter) tabs: Different tabs
msgid "Pool Id:              \t%-25s"
msgstr "পুল আইডি: %-25s"

# (pofilter) tabs: Different tabs
msgid "Product Id:           \t%-25s"
msgstr "উৎপাদন আইডি: %-25s"

# (pofilter) tabs: Different tabs
msgid "Product Name:         \t%-25s"
msgstr "উৎপাদন নাম: %-25s"

# (pofilter) tabs: Different tabs
msgid "Quantity Used:        \t%-25s"
msgstr "ব্যৱহৃত পৰিমাণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Quantity:             \t%-25s"
msgstr "পৰিমাণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Repo Id:              \t%-25s"
msgstr "ভঁৰালৰ আইডি: %-25s"

# (pofilter) tabs: Different tabs
msgid "Repo Name:            \t%-25s"
msgstr "ভঁৰালৰ ধৰণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Repo Url:             \t%-25s"
msgstr "ভঁৰালৰ Url: %-25s"

# (pofilter) tabs: Different tabs
msgid "Serial Number:        \t%-25s"
msgstr "ক্ৰমিক নম্বৰ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Service Level:        \t%-25s"
msgstr "সেৱা স্তৰ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Service Type :        \t%-25s"
msgstr "সেৱা ধৰণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Service Type:        \t%-25s"
msgstr "সেৱা ধৰণ: %-25s"

# (pofilter) tabs: Different tabs
msgid "Starts:               \t%-25s"
msgstr "আৰম্ভ হয়: %-25s"

# (pofilter) tabs: Different tabs
msgid "Status:               \t%-25s"
msgstr "অৱস্থা: %-25s"

# (pofilter) tabs: Different tabs
msgid "Version:              \t%-25s"
msgstr "সংস্কৰণ: %-25s"
  
Actual results:
Above

Expected results:

msgid "Account Number:       \t%-25s"
msgstr "একাওন্ট নম্বৰ:           \t%-25s"

msgid "Active:               \t%-25s"
msgstr "সক্ৰিয়:                \t%-25s"

msgid "Arch:                 \t%-25s"
msgstr "স্থাপত্য:                \t%-25s"

msgid "Begins:               \t%-25s"
msgstr "আৰম্ভ হয়:             \t%-25s"

msgid "Contract Number:      \t%-25s"
msgstr "চুক্তি নম্বৰ:              \t%-25s"

msgid "Description:          \t%-25s"
msgstr "বিৱৰণ:                \t%-25s"

msgid "Enabled:              \t%-25s"
msgstr "সামৰ্থবান কৰা আছে:      \t%-25s"

msgid "Expires:              \t%-25s"
msgstr "অৱসান ঘটিব:           \t%-25s"

msgid "Machine Type:         \t%-25s"
msgstr "মেচিনৰ ধৰণ:            \t%-25s"

msgid "Multi-Entitlement:    \t%-25s"
msgstr "বহু-অনুজ্ঞা:             \t%-25s"

msgid "Name:                 \t%-25s"
msgstr "নাম:                  \t%-25s"

msgid "Pool Id:              \t%-25s"
msgstr "পুল আইডি:            \t%-25s"

msgid "Product Id:           \t%-25s"
msgstr "উৎপাদন আইডি:         \t%-25s"

msgid "Product Name:         \t%-25s"
msgstr "উৎপাদন নাম:           \t%-25s"

msgid "Quantity Used:        \t%-25s"
msgstr "ব্যৱহৃত পৰিমাণ:         \t%-25s"

msgid "Quantity:             \t%-25s"
msgstr "পৰিমাণ:               \t%-25s"

msgid "Repo Id:              \t%-25s"
msgstr "ভঁৰালৰ আইডি:          \t%-25s"

msgid "Repo Name:            \t%-25s"
msgstr "ভঁৰালৰ ধৰণ:            \t%-25s"

msgid "Repo Url:             \t%-25s"
msgstr "ভঁৰালৰ Url:           \t%-25s"

msgid "Serial Number:        \t%-25s"
msgstr "ক্ৰমিক নম্বৰ:            \t%-25s"

msgid "Service Level:        \t%-25s"
msgstr "সেৱা স্তৰ:              \t%-25s"

msgid "Service Type :        \t%-25s"
msgstr "সেৱা ধৰণ:             \t%-25s"

msgid "Service Type:        \t%-25s"
msgstr "সেৱা ধৰণ:            \t%-25s"

msgid "Starts:               \t%-25s"
msgstr "আৰম্ভ হয়:             \t%-25s"

msgid "Status:               \t%-25s"
msgstr "অৱস্থা:                \t%-25s"

msgid "Version:              \t%-25s"
msgstr "সংস্কৰণ:               \t%-25s"


Additional info:

List of .po files for which the same chage is to be made

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/or/LC_MESSAGES/rhsm.mo -o /usr/share/locale/or/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/or/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/ml/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ml/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo -o /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo -o /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/gu/LC_MESSAGES/rhsm.mo -o /usr/share/locale/gu/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/gu/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo -o /usr/share/locale/kn/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/kn/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/fr/LC_MESSAGES/rhsm.mo -o /usr/share/locale/fr/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/fr/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo -o /usr/share/locale/es_ES/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/es_ES/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/it/LC_MESSAGES/rhsm.mo -o /usr/share/locale/it/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/it/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/hi/LC_MESSAGES/rhsm.mo -o /usr/share/locale/hi/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/hi/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo -o /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo -o /usr/share/locale/te/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/te/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ru/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/ru/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/ja/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ja/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/ja/LC_MESSAGES/rhsm.po

[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/ko/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ko/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t tabs /usr/share/locale/ko/LC_MESSAGES/rhsm.po

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#printf
Comment 2 Sharath Dwaral 2012-05-31 12:35:08 EDT
(In reply to comment #0)

Sorry, this is the correct link to pofilter test

> http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#tabs
Comment 3 RHEL Product and Program Management 2012-06-04 01:47:59 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Sharath Dwaral 2012-07-24 17:53:53 EDT
Version:
# rpm -qa| egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.0.10-1.git.25.8954ca8.el5
subscription-manager-1.0.10-1.git.25.8954ca8.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
python-rhsm-1.0.3-1.git.34.b74ea4f.el5
subscription-manager-firstboot-1.0.10-1.git.25.8954ca8.el5
subscription-manager-gui-1.0.10-1.git.25.8954ca8.el5

Steps to Reproduce:
# msgunfmt --no-wrap /usr/share/locale/as/LC_MESSAGES/rhsm.mo -o /usr/share/locale/or/LC_MESSAGES/rhsm.po
# pofilter --gnome -t tabs /usr/share/locale/or/LC_MESSAGES/rhsm.po

processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-07-18 10:48-0400\n"
"PO-Revision-Date: 2012-06-29 05:09-0400\n"
"Last-Translator: mgiri <mgiri@fedoraproject.org>\n"
"Language-Team: Oriya <oriya-it@googlegroups.com>\n"
"Language: or\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Generator: Zanata 1.6.1\n"

# (pofilter) tabs: Different tabs
msgid "Machine Type:         \t%s"
msgstr "ଯନ୍ତ୍ର ପ୍ରକାର: %s"

# (pofilter) tabs: Different tabs
msgid "Multi-Entitlement:    \t%s"
msgstr "ଏକାଧିକ-ଅଧିକାର: %s"

# (pofilter) tabs: Different tabs
msgid "Name:                 \t%s"
msgstr "ନାମ: %s"

# (pofilter) tabs: Different tabs
msgid "Pool Id:              \t%s"
msgstr "ପୁଲ Id: %s"

# (pofilter) tabs: Different tabs
msgid "Quantity:             \t%s"
msgstr "ପରିମାଣ: %s"

# (pofilter) tabs: Different tabs
msgid "Serial Number:        \t%s"
msgstr "କ୍ରମ ସଂଖ୍ୟା: %s"

# (pofilter) tabs: Different tabs
msgid "Starts:               \t%s"
msgstr "ଆରମ୍ଭ: %s"

# (pofilter) tabs: Different tabs
msgid "Status:               \t%s"
msgstr "ସ୍ଥିତି: %s"

# (pofilter) tabs: Different tabs
msgid "Version:              \t%s"
msgstr "ସଂସ୍କରଣ: %s"
[###########################################] 100%

Actual Result:
Shown above

Expeced Result:
The translated strings should have proper tab spacing/

Aditinoal Information:

The tabs tes fails for the below set of languages:
or
te
ml
pt_BR
es_ES
it
hi
zh_CN
Comment 5 Bryan Kearney 2012-07-30 13:21:40 EDT
moving out a release.
Comment 7 RHEL Product and Program Management 2012-12-14 03:47:35 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 John Sefler 2012-12-19 14:40:31 EST
CLOSING this bug in favor of the following language specific bugs:

bug 888858
bug 888891
bug 888923
bug 888928
bug 888868
bug 888886
bug 888873
bug 888889
bug 888864